import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataKubernetesIngressConfig extends TerraformMetaArguments {
    /** metadata block */
    readonly metadata: DataKubernetesIngressMetadata[];
}
export declare class DataKubernetesIngressLoadBalancerIngress extends ComplexComputedList {
    get hostname(): string;
    get ip(): string;
}
export declare class DataKubernetesIngressSpecBackend extends ComplexComputedList {
    get serviceName(): string;
    get servicePort(): string;
}
export declare class DataKubernetesIngressSpecRuleHttpPathBackend extends ComplexComputedList {
    get serviceName(): string;
    get servicePort(): string;
}
export declare class DataKubernetesIngressSpecRuleHttpPath extends ComplexComputedList {
    get backend(): any;
    get path(): string;
}
export declare class DataKubernetesIngressSpecRuleHttp extends ComplexComputedList {
    get path(): any;
}
export declare class DataKubernetesIngressSpecRule extends ComplexComputedList {
    get host(): string;
    get http(): any;
}
export declare class DataKubernetesIngressSpecTls extends ComplexComputedList {
    get hosts(): string[];
    get secretName(): string;
}
export declare class DataKubernetesIngressSpec extends ComplexComputedList {
    get backend(): any;
    get rule(): any;
    get tls(): any;
}
export interface DataKubernetesIngressMetadata {
    /** An unstructured key value map stored with the ingress that may be used to store arbitrary metadata. More info: http://kubernetes.io/docs/user-guide/annotations */
    readonly annotations?: {
        [key: string]: string;
    };
    /** Map of string keys and values that can be used to organize and categorize (scope and select) the ingress. May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels */
    readonly labels?: {
        [key: string]: string;
    };
    /** Name of the ingress, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names */
    readonly name?: string;
    /** Namespace defines the space within which name of the ingress must be unique. */
    readonly namespace?: string;
}
export declare class DataKubernetesIngress extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataKubernetesIngressConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    loadBalancerIngress(index: string): DataKubernetesIngressLoadBalancerIngress;
    spec(index: string): DataKubernetesIngressSpec;
    private _metadata;
    get metadata(): DataKubernetesIngressMetadata[];
    set metadata(value: DataKubernetesIngressMetadata[]);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
