import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataKubernetesNamespaceConfig extends TerraformMetaArguments {
    /** metadata block */
    readonly metadata: DataKubernetesNamespaceMetadata[];
}
export declare class DataKubernetesNamespaceSpec extends ComplexComputedList {
    get finalizers(): string[];
}
export interface DataKubernetesNamespaceMetadata {
    /** An unstructured key value map stored with the namespace that may be used to store arbitrary metadata. More info: http://kubernetes.io/docs/user-guide/annotations */
    readonly annotations?: {
        [key: string]: string;
    };
    /** Map of string keys and values that can be used to organize and categorize (scope and select) the namespace. May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels */
    readonly labels?: {
        [key: string]: string;
    };
    /** Name of the namespace, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names */
    readonly name?: string;
}
export declare class DataKubernetesNamespace extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataKubernetesNamespaceConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    spec(index: string): DataKubernetesNamespaceSpec;
    private _metadata;
    get metadata(): DataKubernetesNamespaceMetadata[];
    set metadata(value: DataKubernetesNamespaceMetadata[]);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
