import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataKubernetesServiceAccountConfig extends TerraformMetaArguments {
    /** metadata block */
    readonly metadata: DataKubernetesServiceAccountMetadata[];
}
export declare class DataKubernetesServiceAccountImagePullSecret extends ComplexComputedList {
    get name(): string;
}
export declare class DataKubernetesServiceAccountSecret extends ComplexComputedList {
    get name(): string;
}
export interface DataKubernetesServiceAccountMetadata {
    /** An unstructured key value map stored with the service account that may be used to store arbitrary metadata. More info: http://kubernetes.io/docs/user-guide/annotations */
    readonly annotations?: {
        [key: string]: string;
    };
    /** Map of string keys and values that can be used to organize and categorize (scope and select) the service account. May match selectors of replication controllers and services. More info: http://kubernetes.io/docs/user-guide/labels */
    readonly labels?: {
        [key: string]: string;
    };
    /** Name of the service account, must be unique. Cannot be updated. More info: http://kubernetes.io/docs/user-guide/identifiers#names */
    readonly name?: string;
    /** Namespace defines the space within which name of the service account must be unique. */
    readonly namespace?: string;
}
export declare class DataKubernetesServiceAccount extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataKubernetesServiceAccountConfig);
    get automountServiceAccountToken(): boolean;
    get defaultSecretName(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    imagePullSecret(index: string): DataKubernetesServiceAccountImagePullSecret;
    secret(index: string): DataKubernetesServiceAccountSecret;
    private _metadata;
    get metadata(): DataKubernetesServiceAccountMetadata[];
    set metadata(value: DataKubernetesServiceAccountMetadata[]);
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
